CreateScanWorkflowResult
Creates a scan workflow result in a given namespace.
curl --request POST \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/scan-workflow-results \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": [
"<string>"
]
},
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"spec": {
"status": "STATUS_UNSPECIFIED",
"end_time": "2023-11-07T05:31:56Z",
"execution_id": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"stats": {},
"versions": [
{
"ref": "<string>",
"metadata": {},
"sha": "<string>"
}
],
"workflow_results": [
{
"error": {
"code": "ENDORCTL_RC_UNSPECIFIED",
"error": "<string>"
},
"provisioning_result_uuid": "<string>",
"scan_duration": "<string>",
"scan_profile_uuid": "<string>",
"scan_result_uuid": "<string>",
"status": "STATUS_UNSPECIFIED",
"title": "<string>"
}
]
},
"tenant_meta": {}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/scan-workflow-results"
payload = {
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": ["<string>"]
},
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": ["<string>"]
},
"spec": {
"status": "STATUS_UNSPECIFIED",
"end_time": "2023-11-07T05:31:56Z",
"execution_id": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"stats": {},
"versions": [
{
"ref": "<string>",
"metadata": {},
"sha": "<string>"
}
],
"workflow_results": [
{
"error": {
"code": "ENDORCTL_RC_UNSPECIFIED",
"error": "<string>"
},
"provisioning_result_uuid": "<string>",
"scan_duration": "<string>",
"scan_profile_uuid": "<string>",
"scan_result_uuid": "<string>",
"status": "STATUS_UNSPECIFIED",
"title": "<string>"
}
]
},
"tenant_meta": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
context: {id: '<string>', type: 'CONTEXT_TYPE_UNSPECIFIED', tags: ['<string>']},
meta: {
name: '<string>',
annotations: {},
description: '<string>',
index_data: {},
parent_kind: '<string>',
parent_uuid: '<string>',
tags: ['<string>']
},
spec: {
status: 'STATUS_UNSPECIFIED',
end_time: '2023-11-07T05:31:56Z',
execution_id: '<string>',
start_time: '2023-11-07T05:31:56Z',
stats: {},
versions: [{ref: '<string>', metadata: {}, sha: '<string>'}],
workflow_results: [
{
error: {code: 'ENDORCTL_RC_UNSPECIFIED', error: '<string>'},
provisioning_result_uuid: '<string>',
scan_duration: '<string>',
scan_profile_uuid: '<string>',
scan_result_uuid: '<string>',
status: 'STATUS_UNSPECIFIED',
title: '<string>'
}
]
},
tenant_meta: {}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/scan-workflow-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"status": "STATUS_UNSPECIFIED",
"end_time": "2023-11-07T05:31:56Z",
"execution_id": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"stats": {},
"versions": [
{
"ref": "<string>",
"metadata": {},
"sha": "<string>"
}
],
"workflow_results": [
{
"error": {
"code": "ENDORCTL_RC_UNSPECIFIED",
"error": "<string>"
},
"provisioning_result_uuid": "<string>",
"scan_duration": "<string>",
"scan_profile_uuid": "<string>",
"scan_result_uuid": "<string>",
"status": "STATUS_UNSPECIFIED",
"title": "<string>"
}
]
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
ScanWorkflowResult corresponds to a workflow scan result.
Contexts keep objects from different scans separated.
Show child attributes
Show child attributes
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The tenant to which the scan workflow result belongs.
Response
A successful response.
ScanWorkflowResult corresponds to a workflow scan result.
Contexts keep objects from different scans separated.
Show child attributes
Show child attributes
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
The unique identifier of the scan workflow result.
Was this page helpful?
